The API endpoints are developed around RESTful principles secure via the OAuth2.0 protocol.
Beyond the entry points, the API also provides a line of communication into your system via webhooks.
For testing purposes, we offer a staging environment. Also, more detailed information about the business rules and workflows can be found on the Documentation Section
Each API is versioned individually, but we follow these rules:
The APIs use resource-oriented URLs communicating, primarily, via JSON and leveraging the HTTP headers, response status codes, and verbs.
To exemplify how the API is to be consumed, consider a fake GET resource endpoint invocation below:
curl --request GET 'https://{{public-api-url}}/v1/resource/123' \
--header 'Authorization: Bearer 34fdabeeafds=' --header 'X-Store-Id: 321'
| Header | Description |
|---|---|
Authorization |
Standard HTTP header is used to associate the request with the originating invoker. The content of this header is a Bearer token generated from you client_secret, defined in the API Auth guide. |
X-Store-Id |
The ID of the store in your system this call acts on behalf of. |
All resource endpoints expect the Authorization header, the remaining headers are explicitly stated in the individual endpoint documentation section.
With these headers, the system will:
v1/resource/{id} resource via the Application's pre-configured scopes.AAA).AAA, that is associated to your Application via store id 321.POST/PUT methods will look similar to the GET calls, but they'll take in a body in the HTTP request (default to the application/json content-type).
curl --location --request POST 'https://{{public-api-url}}/v1/resource' \
--header 'Authorization: Bearer 34fdabeeafds=' --header 'X-Store-Id: 321'
--data '{"foo": "bar"}'
The Authorization API is based on the OAuth2.0 protocol, supporting the (Client Credentials)[https://datatracker.ietf.org/doc/html/rfc6749#section-4.4] and the (Authorization Code)[https://datatracker.ietf.org/doc/html/rfc6749#section-4.1] flows. Resources expect a valid token sent as a Bearer token in the HTTP Authorization header.
Scopes must be configured by our internal team to be enabled for an app. Once the scopes are configured they can be enabled on the Application Settings Page in Developer Portal. Each endpoint requires a given scope that can be verified on each endpoint documentation. When generating an OAuth2.0 token multiple scopes can be requested.
To perform this flow, the authorization code flow must be enabled in the Application Settings Page in Developer Portal. When enabling the flow it is mandatory to provide a redirect URI pointing to your application. Once the flow is complete we will redirect the user to this URI passing the 'code' and 'state' parameters. The Authorization Code flow provides a temporary code that the client application can exchange for an access token. To start the flow the application must request the user authorization. This is done by sending a request to https://{{public-api-url}}/v1/auth/oauth2/authorize. Example
curl --location 'https://{{public-api-url}}/v1/auth/oauth2/authorize?client_id=[CLIENT_ID]&redirect_uri=[REDIRECT_URI]&response_type=code&scope=organization.read&state=8A9D16B4C3E25F6A'
This call will return a 302 redirecting the user to our authorization page. If the user approves the application, we will redirect to configured URI passing the authorization code in the query parameter 'code'. The 'state' parameter is also sent to ensure the source of the data. With the authorization code, the client application can generate the token.
The client_credentials flow does not require any steps before generating the token. Once your application is ready, and the client_id and client_secret are available, the token can be generated by following the instructions in the next section.
To generate the token, use the Client ID and Client Secret (provided during onboarding), and optionally the authorization code obtained after performing the Authorization Code flow, to the Token Auth endpoint endpoint. The result of this invocation is a token that is valid for a pre-determined time or until it is manually revoked.
The access token obtained will be sent as a Bearer value of the Authorization HTTP header.
Client credentials in the request-body and HTTP Basic Auth are supported.
curl --location --request POST 'https://{{public-api-url}}/v1/auth/token' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'scope=ping' \
--data-urlencode 'grant_type=client_credentials' \
--data-urlencode 'client_id=[APPLICATION_ID]' \
--data-urlencode 'client_secret=[CLIENT_SECRET]'
curl --location --request POST 'https://{{public-api-url}}/v1/auth/token' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'scope=ping' \
--data-urlencode 'grant_type=authorization_code' \
--data-urlencode 'client_id=[APPLICATION_ID]' \
--data-urlencode 'client_secret=[CLIENT_SECRET]' \
--data-urlencode 'code=[code]' \
--data-urlencode 'redirect_uri=[redirect_uri]'
{
"access_token": "oMahtBwBbnZeh4Q66mSuLFmk2V0_CLCKVt0aYcNJlcg.yditzjwCP7yp0PgR6AzQR3wQ1rTdCjkcPeAMuyfK-NU",
"expires_in": 2627999,
"scope": "ping orders.create",
"token_type": "bearer"
}
The token provided in field access_token is used to authenticate when consuming the API endpoints. Send the token value in the Authorization header of every request. The token expiration time is represented in the field expired_in, in seconds. Currently, all tokens are valid for 30 days and should be stored and re-used while still valid.
Note that occasionally, a 401 error may be returned for a valid token due to an internal service issue. Such occurrences should be rare. To prevent exposing potential vulnerabilities to attackers, the Public API does not disclose other types of errors in the authentication flow if for any reason the token can't be validated (when it's a valid token then it's ok to return 5XX or other 4XX though - such as 403). In such scenarios, although the internal auth flow avoids retries to prevent attacks, if the token is known to be valid and not expired, a retry with a backoff interval by the client is advised. Another option is to request a new token.
curl --location --request GET 'https://{{public-api-url}}/v1/ping' \
--header 'Authorization: Bearer <access_token>' \
--header 'X-Store-Id: <storeId>'
| Security Scheme Type | OAuth2 |
|---|---|
| clientCredentials OAuth Flow | Token URL: /v1/auth/token Scopes:
|
| authorizationCode OAuth Flow | Authorization URL: /v1/auth/oauth2/authorize Token URL: /v1/auth/token Scopes:
|
The Public API is able to send notifications to your system via HTTP POST requests.
Every webhook is signed using HMAC-SHA256 that is present in the header X-HMAC-SHA256, and you can also authenticate the requests using Basic Auth, Bearer Token or HMAC-SHA1 (legacy). Please, refer to Webhook Authentication Guide for more details.
Please work with your Account Representative to setup your Application's Webhook configurations.
Example Base-URL = https://{{your-server-url}}/webhook
| Name | Type | Description |
|---|---|---|
| eventId | string | Unique id of the event. |
| eventTime | string | The time the event occurred. |
| eventType | string | The type of event (e.g. create_order). |
| metadata.storeId | string | Id of the store for which the event is being published. |
| metadata.applicationId | string | Id of the application for which the event is being published. |
| metadata.resourceId | string | The external identifier of the resource that this event refers to. |
| metadata.resourceHref | string | The endpoint to fetch the details of the resource. |
| metadata.payload | object | The event object which will be detailed in each Webhook description. |
curl --location --request POST 'https://{{your-server-url}}/webhook' \
--header 'User-Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_14_5) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/75.0.3770.142 Safari/537.36' \
--header 'Authorization: MAC <hash signature>' \
--header 'Content-Type: application/json' \
--data-raw '{
"eventId": "123456",
"eventTime": "2020-10-10T20:06:02:123Z",
"eventType": "orders.new_order",
"metadata": {
"storeId": "755fd19a-7562-487a-b615-171a9f89d669",
"applicationId": "e22f94b3-967c-4e26-bf39-9e364066b68b",
"resourceHref": "https://{{public-api-url}}/v1/orders/bf9f1d81-f213-496e-a026-91b6af44996c",
"resourceId": "bf9f1d81-f213-496e-a026-91b6af44996c",
"payload": {}
}
}
The partner application should return an HTTP 200 response code with an empty response body to acknowledge receipt of the webhook event.
Please, refer to Rate Limiting Guide for more details.
The APIs use standard HTTP status codes to indicate the success or failure of a request. Error codes are divided into two categories: 4XX codes for client-side errors and 5xx codes for server-side errors.
Client-side errors are indicated by status codes in the 4xx range. These errors are typically the result of a problem with the request made by your application. If a client-side error occurs, our API will return a response that includes an appropriate error message. This message will provide information about the cause of the error. The aim of these messages is to assist you in identifying and resolving the issue. For example, if you submit a request with missing or invalid parameters, you might receive a 400 Bad Request error with a message indicating which parameters were missing or incorrect.
Server-side errors are represented by status codes in the 5xx range. These errors suggest a problem with our server, not with your application's request. Server-side errors are typically transient, meaning they are temporary. If a server-side error occurs, we recommend that the client retries the same request with the exact same parameters. For example, if you get a 500 Internal Server Error, it's possible that our server is suffering a temporary problem. In such cases, retrying the request after a short delay is often successful. If you continually receive server-side errors, reach out to our support team for further assistance.
RATE LIMIT: 2 per minute
The asynchronous callback of the Upsert Store Webhook. The partner application will use this endpoint to inform if the store data and credentials provided through the Upsert Store Webhook were enough to create/update and validate the store. If informing success, the Store ID must be provided to complete the store onboarding process. If informing failure, use the Error Message field to provide details about the problem.
stores.manage) | X-Application-Id required | string (ApplicationId) Example: 5045c1c3-694f-4392-b43b-e765cd89c8b8 The plain-text Application ID, provided at partner onboarding, also available on Developer Portal. |
| X-Event-Id required | string Example: cf0ce51b-d74e-40d3-b177-1925ab4edc0c Unique identifier of the event that this callback refers to. |
| success required | boolean Indicates if the partner application successfully created and validated the credential provided through the |
| storeId | string or null The unique identifier of the store in the partner application. This ID, along with the |
object or null The error response object. |
{- "success": true,
- "storeId": "partner-store-unique-identifier",
- "errorMessage": {
- "message": "The request body is invalid.",
- "details": [
- {
- "attribute": "Order Currency Code",
- "message": "Order Currency Code must be exactly 3 characters"
}
]
}
}{- "message": "The request body is invalid.",
- "details": [
- {
- "attribute": "Order Currency Code",
- "message": "Order Currency Code must be exactly 3 characters"
}
]
}RATE LIMIT: 2 per minute
The partner application should call this endpoint when needing to change the status of a store that already completed the onboarding process.
stores.manage) | X-Store-Id required | string (StoreId) Example: partner-store-unique-identifier The unique identifier of the store in the partner application. This ID, along with the |
| status required | string Enum: "ACTIVE" "SUSPENDED" "INVALID" The new status of the store. ACTIVE: store ready to perform operations again; SUSPENDED: temporarily disables the store; INVALID: current credentials will no longer work, new credentials needed. |
| message | string or null Optional message to explain the reason of the status update. |
{- "status": "SUSPENDED",
- "message": "Authentication is failing with current credentials. Suspending store while the retry process is in progress."
}{- "message": "The request body is invalid.",
- "details": [
- {
- "attribute": "Order Currency Code",
- "message": "Order Currency Code must be exactly 3 characters"
}
]
}Client credentials in the request-body and HTTP Basic Auth are supported.
| client_id | string <uuid> The ID of the client (also known as the Application ID). |
| client_secret | string The secret of the client. |
| grant_type required | string Enum: "client_credentials" "authorization_code" The OAuth2.0 grant types supported. |
| scope required | string The scope to request, multiple scopes are passed delimited by a space character. |
| code | string or null The authorization code obtained from the server when performing the authorization code flow. It is required to exchange the code for an access token that will be used to perform actions on behalf of a user. |
| redirect_uri | string or null The redirect URI that was included in the initial authorization request. The value must be an exact match of the previously used URI, otherwise the request will be rejected. |
| code_verifier | string or null If the code_challenge parameter was included in the initial authorization requests, the application must now provide the code verifier. The value is the plaintext string that was used to calculate the hash that was previously sent in the code_challenge parameter. |
{- "access_token": "oMahtBwBbnZeh4Q66mSuLFmk2V0_CLCKVt0aYcNJlcg.yditzjwCP7yp0PgR6AzQR3wQ1rTdCjkcPeAMuyfK-NU",
- "expires_in": 2627999,
- "scope": "ping orders.create",
- "token_type": "bearer"
}Request a user's authorization to perform action on their behalf
| client_id required | string The ID of the client (also known as the Application ID). |
| redirect_uri required | string The URI to where the user should be redirected when the flow is successfully completed. It must be previously registered at Developer Portal in the application settings. |
| response_type required | string Specifies the expected response type. Only "code" is accepted. |
| scope required | string The scope to request, multiple scopes are passed delimited by a space character. |
| state required | string Can be used to store request-specific data. The server will return the unmodified state value back to the application. |
| code_challenge | string A code verifier generated by the client application transformed by applying a cryptographic hash function, such as SHA-256, and encoding the result using URL-safe Base64 encoding. |
| code_challenge_method | string Method used to transform the code verifier. The most common method is "S256", which stands for SHA-256. |
{- "message": "The request body is invalid.",
- "details": [
- {
- "attribute": "Order Currency Code",
- "message": "Order Currency Code must be exactly 3 characters"
}
]
}RATE LIMIT: 16 per minute
This is the generalized callback error that should be used to return failures for all webhooks, unless otherwise specified. See failed event flow for details.
callback.error.write) | X-Store-Id required | string (StoreId) Example: partner-store-unique-identifier The unique identifier of the store in the partner application. This ID, along with the |
| X-Event-Id required | string Example: cf0ce51b-d74e-40d3-b177-1925ab4edc0c Unique identifier of the event that this callback refers to. |
| errorCode | string Enum: "CANCELLED" "UNKNOWN" "INVALID_ARGUMENT" "FAILED_PRECONDITION" "DEADLINE_EXCEEDED" "NOT_FOUND" "PERMISSION_DENIED" "ALREADY_EXISTS" "RESOURCE_EXHAUSTED" "ABORTED" "OUT_OF_RANGE" "UNIMPLEMENTED" "INTERNAL" "UNAVAILABLE" "DATA_LOSS" "UNAUTHENTICATED" Errors that occur processing the webhook, modeled after Google's gRPC error codes. For callback errors responding to menu-related webhooks, any error with status code in: "INVALID_ARGUMENT", "FAILED_PRECONDITION", "NOT_FOUND", "PERMISSION_DENIED", "ALREADY_EXISTS", "UNIMPLEMENTED", "DATA_LOSS", "UNAUTHENTICATED" will be considered fatal and will fail the operation without retrying. |
| errorMessage | string or null Additional information about the error. This message will be displayed to the user, so ideally it should be friendly. |
{- "errorCode": "NOT_FOUND",
- "errorMessage": "The store was not found."
}{- "message": "The request body is invalid.",
- "details": [
- {
- "attribute": "Order Currency Code",
- "message": "Order Currency Code must be exactly 3 characters"
}
]
}RATE LIMIT: 8 per minute
delivery.provider) | deliveryReferenceId required | string Example: 295f76b4-5725-4bf5-a8ab-97943dbdc3b4 A unique identifier of the delivery in a UUID format. |
| deliveryStatus | string (DeliveryStatus) Enum: "REQUESTED" "ALLOCATED" "PICKED_UP" "COMPLETED" "CANCELED" "ARRIVED_AT_PICKUP" "ARRIVED_AT_DROP_OFF" The status of the delivery. |
| estimatedDeliveryTime | string or null <date-time> The expected delivery time. |
| estimatedPickupTime | string or null <date-time> The expected pickup time. |
object or null (Person) The recipient information. | |
object or null (Location) Latitude and longitude of the address. | |
| createdAt | string <date-time> The time that the update was created. |
object or null (VehicleInformation) | |
| currencyCode | string or null 3 characters The 3-letter currency code (ISO 4217) to use for all monetary values. |
object (DeliveryCost) Delivery cost details. | |
| providerDeliveryId | string or null The provider's internal identifier for the delivery used for tracking purposes. |
object or null (DropoffInfo) Delivery dropoff details. | |
| deliveryTrackingUrl | string or null Delivery tracking url. |
{- "deliveryStatus": "REQUESTED",
- "estimatedDeliveryTime": "2007-12-03T10:15:30+01:00",
- "estimatedPickupTime": "2007-12-03T10:15:30+01:00",
- "courier": {
- "name": "Jane Doe",
- "phone": "+1-555-555-5555",
- "phoneCode": "111 11 111",
- "personalIdentifiers": {
- "taxIdentificationNumber": 1234567890,
- "serviceProviderId": "12345ba6-789e-123f-4e56-d78db90d123b"
}
}, - "location": {
- "latitude": 38.8977,
- "longitude": 77.0365
}, - "createdAt": "2007-12-03T10:15:30+01:00",
- "vehicleInformation": {
- "vehicleType": "WALKER",
- "licensePlate": "ABCD 123",
- "makeModel": "Honda Civic"
}, - "currencyCode": "EUR",
- "cost": {
- "baseCost": 4.99,
- "extraCost": 0.99
}, - "providerDeliveryId": "string",
- "dropoffInfo": {
- "courierNote": "string",
- "proofOfDelivery": {
- "signatureProof": {
- "signatureImageUrl": "string",
- "signerName": "string",
- "signerRelationship": "string"
}, - "pictureProof": {
- "pictureUrl": "string"
}
}
}, - "deliveryTrackingUrl": "string"
}{- "message": "The request body is invalid.",
- "details": [
- {
- "attribute": "Order Currency Code",
- "message": "Order Currency Code must be exactly 3 characters"
}
]
}RATE LIMIT: 8 per minute
delivery.provider) | deliveryReferenceId required | string Example: 295f76b4-5725-4bf5-a8ab-97943dbdc3b4 A unique identifier of the delivery in a UUID format. |
| X-Store-Id required | string (StoreId) Example: partner-store-unique-identifier The unique identifier of the store in the partner application. This ID, along with the |
| X-Event-Id required | string Example: cf0ce51b-d74e-40d3-b177-1925ab4edc0c Unique identifier of the event that this callback refers to. |
| minPickupDuration | integer <int32> >= 0 Minimum time required for courier to arrive at pickup location in minutes It is an estimation. |
| maxPickupDuration | integer or null <int32> Maximum time that the courier's arrival at pick up location can be delayed. If not provided, it will default to 60 minutes or minPickUpDuration, whichever is greater. This value is an estimation and expressed in minutes. |
object or null (Distance) Delivery distance. | |
| currencyCode | string 3 characters The 3-letter currency code (ISO 4217) to use for all monetary values. |
object (DeliveryCost) Delivery cost details. | |
| provider | string or null Delivery Service Provider Slug. |
Array of objects or null (FulfillmentPathEntity) List of entities involved in the fulfillment processing path. | |
| createdAt | string <date-time> The time that the quote was created. |
| accountBalance | number or null The remaining account balance of the requester for the delivery provider. |
{- "minPickupDuration": 5,
- "maxPickupDuration": 10,
- "deliveryDistance": {
- "unit": "KILOMETERS",
- "value": 0
}, - "currencyCode": "EUR",
- "cost": {
- "baseCost": 4.99,
- "extraCost": 0.99
}, - "provider": "doordash",
- "fulfillmentPath": [
- {
- "name": "rappi",
- "type": "FULFILLMENT_PROCESSOR"
}
], - "createdAt": "2007-12-03T10:15:30+01:00",
- "accountBalance": 1068.32
}{- "message": "The request body is invalid.",
- "details": [
- {
- "attribute": "Order Currency Code",
- "message": "Order Currency Code must be exactly 3 characters"
}
]
}RATE LIMIT: 8 per minute
delivery.provider) | deliveryReferenceId required | string Example: 295f76b4-5725-4bf5-a8ab-97943dbdc3b4 A unique identifier of the delivery in a UUID format. |
| X-Store-Id required | string (StoreId) Example: partner-store-unique-identifier The unique identifier of the store in the partner application. This ID, along with the |
| X-Event-Id required | string Example: cf0ce51b-d74e-40d3-b177-1925ab4edc0c Unique identifier of the event that this callback refers to. |
object or null (Distance) Delivery distance. | |
| currencyCode | string 3 characters The 3-letter currency code (ISO 4217) to use for all monetary values. |
object (DeliveryCost) Delivery cost details. | |
Array of objects or null (FulfillmentPathEntity) List of entities involved in the fulfillment processing path. | |
| estimatedDeliveryTime | string or null <date-time> The expected delivery time. |
| estimatedPickupTime | string or null <date-time> The expected pickup time. |
| confirmedAt | string <date-time> The time that the request was accepted. |
| deliveryTrackingUrl | string or null URL to a web page that tracks the delivery. |
| providerDeliveryId | string or null The provider's internal identifier for the delivery used for tracking purposes. |
{- "deliveryDistance": {
- "unit": "KILOMETERS",
- "value": 0
}, - "currencyCode": "EUR",
- "cost": {
- "baseCost": 4.99,
- "extraCost": 0.99
}, - "fulfillmentPath": [
- {
- "name": "rappi",
- "type": "FULFILLMENT_PROCESSOR"
}
], - "estimatedDeliveryTime": "2007-12-03T10:15:30+01:00",
- "estimatedPickupTime": "2007-12-03T10:15:30+01:00",
- "confirmedAt": "2007-12-03T10:15:30+01:00",
- "deliveryTrackingUrl": "www.example.com",
- "providerDeliveryId": "string"
}{- "message": "The request body is invalid.",
- "details": [
- {
- "attribute": "Order Currency Code",
- "message": "Order Currency Code must be exactly 3 characters"
}
]
}RATE LIMIT: 8 per minute
delivery.provider) | deliveryReferenceId required | string Example: 295f76b4-5725-4bf5-a8ab-97943dbdc3b4 A unique identifier of the delivery in a UUID format. |
| X-Store-Id required | string (StoreId) Example: partner-store-unique-identifier The unique identifier of the store in the partner application. This ID, along with the |
| X-Event-Id required | string Example: cf0ce51b-d74e-40d3-b177-1925ab4edc0c Unique identifier of the event that this callback refers to. |
| canceledAt | string <date-time> The time that the request was cancelled. |
{- "canceledAt": "2007-12-03T10:15:30+01:00"
}{- "message": "The request body is invalid.",
- "details": [
- {
- "attribute": "Order Currency Code",
- "message": "Order Currency Code must be exactly 3 characters"
}
]
}RATE LIMIT: 16 per minute
callback.error.write) | X-Store-Id required | string (StoreId) Example: partner-store-unique-identifier The unique identifier of the store in the partner application. This ID, along with the |
| X-Event-Id required | string Example: cf0ce51b-d74e-40d3-b177-1925ab4edc0c Unique identifier of the event that this callback refers to. |
| errorCode | string Enum: "CANCELLED" "UNKNOWN" "INVALID_ARGUMENT" "FAILED_PRECONDITION" "DEADLINE_EXCEEDED" "NOT_FOUND" "PERMISSION_DENIED" "ALREADY_EXISTS" "RESOURCE_EXHAUSTED" "ABORTED" "OUT_OF_RANGE" "UNIMPLEMENTED" "INTERNAL" "UNAVAILABLE" "DATA_LOSS" "UNAUTHENTICATED" Errors that occur processing the webhook, modeled after Google's gRPC error codes. For callback errors responding to menu-related webhooks, any error with status code in: "INVALID_ARGUMENT", "FAILED_PRECONDITION", "NOT_FOUND", "PERMISSION_DENIED", "ALREADY_EXISTS", "UNIMPLEMENTED", "DATA_LOSS", "UNAUTHENTICATED" will be considered fatal and will fail the operation without retrying. |
| errorMessage | string or null Additional information about the error. This message will be displayed to the user, so ideally it should be friendly. |
{- "errorCode": "NOT_FOUND",
- "errorMessage": "The store was not found."
}{- "message": "The request body is invalid.",
- "details": [
- {
- "attribute": "Order Currency Code",
- "message": "Order Currency Code must be exactly 3 characters"
}
]
}RATE LIMIT: 8 per minute
delivery.provider) | deliveryReferenceId required | string Example: 295f76b4-5725-4bf5-a8ab-97943dbdc3b4 A unique identifier of the delivery in a UUID format. |
| X-Store-Id required | string (StoreId) Example: partner-store-unique-identifier The unique identifier of the store in the partner application. This ID, along with the |
| X-Event-Id required | string Example: cf0ce51b-d74e-40d3-b177-1925ab4edc0c Unique identifier of the event that this callback refers to. |
| currencyCode | string or null 3 characters The 3-letter currency code (ISO 4217) to use for all monetary values. |
object (DeliveryCost) Delivery cost details. |
{- "currencyCode": "EUR",
- "cost": {
- "baseCost": 4.99,
- "extraCost": 0.99
}
}{- "message": "The request body is invalid.",
- "details": [
- {
- "attribute": "Order Currency Code",
- "message": "Order Currency Code must be exactly 3 characters"
}
]
}Post financial data related to a given order.
finance) | X-Store-Id required | string (StoreId) Example: partner-store-unique-identifier The unique identifier of the store in the partner application. This ID, along with the |
required | object (OrderIdentifierFinance) The external identifiers of the order. |
| id required | string External financial transaction identifier. |
| pending required | boolean Whether the transaction can be updated in the future. |
| currencyCode required | string 3 characters The 3-letter currency code (ISO 4217) to use for all monetary values in this order. |
| createdAt required | string <date-time> The date (in UTC) when the financial transaction was created. |
| customerId | string or null Customer identifier. |
| notes | string or null General notes about the financial transaction. |
| type required | string Enum: "PAYMENT" "ADJUSTMENT" "CANCELLATION" "MISC" Financial transaction operation type. |
object (PayoutInfo) | |
Array of objects or null (OrderItemInformation) Detailed financial per order item. | |
Array of objects or null (OrderIssue) List of issues that might have happened with the order. | |
required | object (FinancialData) Breakdown of order values. Represents total values, fees, discounts, and any possible adjustments that may happen in the order value. Breakdown lists can be used to represent aggregate values (e.g. order total value) or, when available, can accurately represent the values of each item/fee/tax/charges related to the order. All objects in breakdown lists have a required property "subType". Allowed values are: VALUE: represent the net value of the order/item/fee. Should be used in the following cases:
TAX: represent the tax value for the order/item/fee. Should be used when tax amount is available, in that case, this information should be part of the breakdown list with the "VALUE" as the net amount, example below:
VAT: represents the amount for value-added tax. Should be used when the order/item/fee contains VAT. In that case, this information should be part of the breakdown list with the "VALUE" as net amount, example below:
VALUE_WITH_TAX: represents the gross value of the order/item/fee. Should be used when the value includes tax/VAT and values related to taxation are not available.
|
{- "orderIdentifiers": {
- "id": "69f60a06-c335-46d9-b5a1-97f1a211c514",
- "source": "ubereats"
}, - "id": "string",
- "pending": true,
- "currencyCode": "EUR",
- "createdAt": "2007-12-03T10:15:30+01:00",
- "customerId": "string",
- "notes": "string",
- "type": "PAYMENT",
- "payout": {
- "id": "string",
- "date": "2021-10-01"
}, - "orderItems": [
- {
- "id": "string",
- "name": "string",
- "issues": [
- {
- "type": "MISSING_ITEM"
}
]
}
], - "issues": [
- {
- "type": "MISSING_ITEM"
}
], - "data": {
- "foodSales": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "feeForRestaurantProvidedDelivery": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "restaurantFundedDiscount": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "voucherDiscount": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "promotionDiscount": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "operatorDiscount": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "loyaltyDiscount": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "tipForRestaurant": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "adjustments": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "packingFee": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "bagFee": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "serviceProviderDiscount": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "tipForServiceProviderCourier": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "feeForServiceProviderDelivery": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "smallOrderFee": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "serviceFee": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "otherFee": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "netPayout": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "couponCodes": [
- "TACOWED5OFF"
]
}
}{- "message": "The request body is invalid.",
- "details": [
- {
- "attribute": "Order Currency Code",
- "message": "Order Currency Code must be exactly 3 characters"
}
]
}Post a financial invoice containing payout and financial data for orders in a given period of time.
finance) | X-Store-Id required | string (StoreId) Example: partner-store-unique-identifier The unique identifier of the store in the partner application. This ID, along with the |
| sourceService | string or null Describes the source of the order, typically from a food ordering marketplace. |
required | object (InvoicePayoutInfo) |
required | Array of objects (SimpleFinancialTransaction) [ items ] List of financial transactions related to this invoice. |
| currencyCode | string 3 characters The 3-letter currency code (ISO 4217) to use for all monetary values in this order. |
{- "sourceService": "ubereats",
- "payout": {
- "id": "string",
- "date": "2021-10-01",
- "summary": {
- "foodSales": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "feeForRestaurantProvidedDelivery": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "restaurantFundedDiscount": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "voucherDiscount": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "promotionDiscount": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "operatorDiscount": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "loyaltyDiscount": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "tipForRestaurant": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "adjustments": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "packingFee": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "bagFee": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "serviceProviderDiscount": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "tipForServiceProviderCourier": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "feeForServiceProviderDelivery": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "smallOrderFee": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "serviceFee": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "otherFee": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "netPayout": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "couponCodes": [
- "TACOWED5OFF"
]
}, - "total": 19.07
}, - "financialTransactions": [
- {
- "orderIdentifiers": {
- "id": "69f60a06-c335-46d9-b5a1-97f1a211c514"
}, - "id": "string",
- "createdAt": "2007-12-03T10:15:30+01:00",
- "customerId": "string",
- "notes": "string",
- "type": "PAYMENT",
- "orderItems": [
- {
- "id": "string",
- "name": "string",
- "issues": [
- {
- "type": "MISSING_ITEM"
}
]
}
], - "issues": [
- {
- "type": "MISSING_ITEM"
}
], - "data": {
- "foodSales": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "feeForRestaurantProvidedDelivery": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "restaurantFundedDiscount": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "voucherDiscount": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "promotionDiscount": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "operatorDiscount": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "loyaltyDiscount": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "tipForRestaurant": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "adjustments": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "packingFee": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "bagFee": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "serviceProviderDiscount": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "tipForServiceProviderCourier": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "feeForServiceProviderDelivery": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "smallOrderFee": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "serviceFee": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "otherFee": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "netPayout": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "couponCodes": [
- "TACOWED5OFF"
]
}
}
], - "currencyCode": "EUR"
}{- "message": "The request body is invalid.",
- "details": [
- {
- "attribute": "Order Currency Code",
- "message": "Order Currency Code must be exactly 3 characters"
}
]
}RATE LIMIT: 32 per minute
List inventory summaries by the requested parameters.
catalog) | limit | string <= 200 Example: limit=5 Max number of entities to retrieve |
| token | string Example: token=CgwI09+kjQYQwOvF2AM=/(urlencoded:CgwI09%2BkjQYQwOvF2AM%3D) Opaque token used for paging. Query parameters must be URL encoded. |
| X-Store-Id required | string (StoreId) Example: partner-store-unique-identifier The unique identifier of the store in the partner application. This ID, along with the |
{- "inventorySummaries": [
- {
- "id": "ZDlhYTc1NjUtMzU3Z",
- "gtin": "00049000608779",
- "name": "Coca-Cola Classic Coke Soft Drink 12 oz. can",
- "slug": "coca-cola-classic-soft-drink-12-oz-can",
- "externalId": "some-id-from-a-vendor-123",
- "sellableQuantity": 42,
- "unsellableQuantity": 42,
- "inboundQuantity": 8
}
], - "nextToken": "H12MAF2fFaFFFa"
}RATE LIMIT: 8 per minute
List shipments by the requested parameters.
catalog) | limit | string <= 50 Example: limit=5 Max number of entities to retrieve |
| token | string Example: token=CgwI09+kjQYQwOvF2AM=/(urlencoded:CgwI09%2BkjQYQwOvF2AM%3D) Opaque token used for paging. Query parameters must be URL encoded. |
| X-Store-Id required | string (StoreId) Example: partner-store-unique-identifier The unique identifier of the store in the partner application. This ID, along with the |
{- "shipments": [
- {
- "id": "18695c43-c670-4c57-a714-e0d7b215db20",
- "deliveryInfo": {
- "deliveryWindow": {
- "start": "2007-12-03T10:15:30+01:00",
- "end": "2007-12-03T10:15:30+01:00"
}, - "deliveryType": "string",
- "courierName": "Express Local Delivery Services",
- "trackingId": "18492b99ad000"
}, - "lineItems": [
- {
- "id": "1b8aec80-21aa-43f1-b510-2199ac54156a",
- "manifestQuantity": 5,
- "receivedSellableQuantity": 5,
- "receivedUnsellableQuantity": 5
}
], - "stateChanges": [
- {
- "state": "SCHEDULED",
- "timestamp": "2007-12-03T10:15:30+01:00"
}
]
}
], - "nextToken": "H12MAF2fFaFFFa"
}RATE LIMIT: 32 per minute
Create a new shipment.
catalog) | X-Store-Id required | string (StoreId) Example: partner-store-unique-identifier The unique identifier of the store in the partner application. This ID, along with the |
required | object (ShipmentDeliveryInfo) Delivery information for a shipment. |
required | Array of objects (CreateShipmentLineItem) [ items ] A list of the shipment line items. |
{- "deliveryInfo": {
- "deliveryWindow": {
- "start": "2007-12-03T10:15:30+01:00",
- "end": "2007-12-03T10:15:30+01:00"
}, - "deliveryType": "string",
- "courierName": "Express Local Delivery Services",
- "trackingId": "18492b99ad000"
}, - "lineItems": [
- {
- "id": "1b8aec80-21aa-43f1-b510-2199ac54156a",
- "slug": "pizza-pepperoni-12-inch",
- "externalId": "id-in-external-system",
- "manifestQuantity": 5,
- "receivedSellableQuantity": 5,
- "receivedUnsellableQuantity": 5
}
]
}{- "id": "18695c43-c670-4c57-a714-e0d7b215db20"
}RATE LIMIT: 8 per minute
menus.read) | X-Store-Id required | string (StoreId) Example: partner-store-unique-identifier The unique identifier of the store in the partner application. This ID, along with the |
{- "photos": {
- "c75d9460-5d48-423d-8d01-f825fd5b1672": {
- "id": "c75d9460-5d48-423d-8d01-f825fd5b1672",
- "fileName": "c75d9460-5d48-423d-8d01-f825fd5b1672.jpeg",
}
}, - "categories": {
- "b01485b0-034a-47c5-8a0a-0eeca08bf994": {
- "name": "Drinks",
- "description": "All drink items served up nice and fresh!",
- "id": "b01485b0-034a-47c5-8a0a-0eeca08bf994",
- "itemIds": [
- "fa4f0192-4c4e-4455-9db8-61d428c34969"
]
}
}, - "modifierGroups": {
- "f4c69056-3ae3-4517-9294-5ceec8df5f81": {
- "id": "f4c69056-3ae3-4517-9294-5ceec8df5f81",
- "name": "Add Straw",
- "minimumSelections": 0,
- "maximumSelections": 1,
- "defaultModifierSelectionData": {
- "defaultModifierSelections": [
- {
- "itemId": "6d53cf04-9d62-40f5-a8b3-706e3377668f",
- "selectionQuantity": 1
}
]
}, - "itemIds": [
- "6d53cf04-9d62-40f5-a8b3-706e3377668f"
], - "type": "DEFAULT",
- "exposedThirdPartyInfos": [
- {
- "externalId": "ff6dd693-5e55-4a92-a359-ea61b23ed423",
- "externalServiceSlug": "3PD"
}
]
}
}, - "menus": {
- "ff6dd693-5e55-4a92-a359-ea61b23ed423": {
- "id": "ff6dd693-5e55-4a92-a359-ea61b23ed423",
- "name": "Tasty BBQ",
- "categoryIds": [
- "b01485b0-034a-47c5-8a0a-0eeca08bf994"
], - "fulfillmentModes": [
- "DELIVERY"
], - "description": "Cooking up BBQ deliciousness from around the globe!",
- "hours": {
- "intervals": [
- {
- "day": "MONDAY",
- "fromHour": 7,
- "fromMinute": 30,
- "toHour": 22,
- "toMinute": 0
}
]
}, - "additionalCharges": [
- {
- "chargeType": "PACKAGING_CHARGE",
- "flatCharge": {
- "currencyCode": "USD",
- "amount": 1.5
}
}
]
}
}, - "items": {
- "fa4f0192-4c4e-4455-9db8-61d428c34969": {
- "id": "fa4f0192-4c4e-4455-9db8-61d428c34969",
- "name": "Canned Coke",
- "description": "Best soda pop ever made",
- "price": {
- "currencyCode": "USD",
- "amount": 7.65
}, - "status": {
- "saleStatus": "FOR_SALE"
}, - "modifierGroupIds": [
- "f4c69056-3ae3-4517-9294-5ceec8df5f81"
], - "photoIds": [
- "c75d9460-5d48-423d-8d01-f825fd5b1672"
], - "priceOverrides": [
- {
- "rules": [
- {
- "type": "FulfillmentModeOverrideRule",
- "fulfillmentMode": "PICK_UP"
}
], - "price": {
- "currencyCode": "USD",
- "amount": 7
}
}
], - "skuDetails": {
- "skuSlug": "canned-coke-355ml",
- "skuId": "3bac7aed-c8c1-4bfa-a98a-350317e55072",
- "dietaryClassifications": [
- {
- "tag": "VEGAN"
}
], - "allergenClassifications": [
- {
- "tag": "GLUTEN",
- "containsAllergen": false
}, - {
- "tag": "PEANUT",
- "containsAllergen": true
}
], - "storageRequirements": [
- {
- "tag": "COLD"
}, - {
- "tag": "AVOID_SUNLIGHT"
}
], - "additives": [
- "flavor enhancers",
- "food coloring"
], - "containsAlcohol": false,
- "nutritionalInfo": {
- "energyKcal": {
- "low": 1,
- "high": 100
}, - "nutritionContent": {
- "servingSizeInGrams": 100,
- "servingSizeInMilliliters": 100,
- "fats": 100.2,
- "saturatedFats": 3.5,
- "monoUnsaturatedFats": "5.2,",
- "polyUnsaturatedFats": "1.3,",
- "carbohydrates": "3.2,",
- "sugar": "101,",
- "polyols": "1.1,",
- "starch": "1.2,",
- "protein": "1.3,",
- "salt": "1.4,",
- "sodium": "1.5,",
- "fibres": "1.6,",
- "vitaminC": "1.7,",
- "calcium": "1.8,",
- "magnesium": "1.9,",
- "chloride": "2.0,",
- "fluoride": "2.1,",
- "potassium": "2.2,",
- "caffeine": "2.3,",
- "energy": 2.4
}
}, - "servings": {
- "min": 1,
- "max": 2
}, - "producerInformation": "The Coca-Cola Company",
- "distributorInformation": "The Coca-Cola Company",
- "countryOfOriginIso2": "US"
}, - "additionalCharges": [
- {
- "chargeType": "PACKAGING_CHARGE",
- "percentageCharge": {
- "decimalValue": 0.015
}
}
], - "tax": {
- "percentageValue": {
- "decimalValue": 0.513
}, - "isValueAddedTax": true
}
}, - "6d53cf04-9d62-40f5-a8b3-706e3377668f": {
- "id": "6d53cf04-9d62-40f5-a8b3-706e3377668f",
- "name": "Paper straw",
- "description": "A paper straw",
- "price": {
- "currencyCode": "USD",
- "amount": 0.5
}, - "status": {
- "saleStatus": "FOR_SALE"
}
}
}
}RATE LIMIT: 8 per minute
menus.async_job.read) | jobId required | string Example: 295f76b4-5725-4bf5-a8ab-97943dbdc3b4 The unique identifier of the job. |
| X-Store-Id required | string (StoreId) Example: partner-store-unique-identifier The unique identifier of the store in the partner application. This ID, along with the |
{- "jobReference": {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "status": "PENDING"
}, - "jobType": "PUBLISH",
- "publishJobState": {
- "rappi": {
- "status": "FAILED",
- "message": "Failed to publish menu due to error ..."
}
}
}RATE LIMIT: 2 per minute
manager.menus) | X-Store-Id required | string (StoreId) Example: partner-store-unique-identifier The unique identifier of the store in the partner application. This ID, along with the |
{- "menuPublishTargets": {
- "rappi": {
- "status": "PUBLISH_IN_PROGRESS"
}
}
}RATE LIMIT: 2 per minute
manager.menus) | X-Store-Id required | string (StoreId) Example: partner-store-unique-identifier The unique identifier of the store in the partner application. This ID, along with the |
| menuPublishTargets | Array of strings MenuPublishTargets to publish to. |
{- "menuPublishTargets": [
- "doordash",
- "ubereats"
]
}{- "requestSubmitted": true,
- "jobId": "9d222c6d-893e-4e79-8201-3c9ca16a0f39",
- "menuPublishTargets": {
- "menuPublishTargets": {
- "rappi": {
- "status": "PUBLISH_IN_PROGRESS"
}
}
}
}RATE LIMIT: 16 per minute
manager.menus) | X-Store-Id required | string (StoreId) Example: partner-store-unique-identifier The unique identifier of the store in the partner application. This ID, along with the |
| entityIds required | Array of strings Entity IDs to suspend. These should be the IDs as you represent them in your system. |
| note required | string The reason you are suspending the items. |
required | object (SuspensionStatus) The type of suspension this will be. |
{- "entityIds": [
- "9cc4bb5e-bc97-40d9-af28-c02ef1483610"
], - "note": "Out of item",
- "status": {
- "isIndefinite": true,
- "suspendedUntil": "2007-12-03T10:15:30+01:00"
}
}{- "jobReference": {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "status": "PENDING"
}, - "jobType": "PUBLISH",
- "publishJobState": {
- "rappi": {
- "status": "FAILED",
- "message": "Failed to publish menu due to error ..."
}
}
}RATE LIMIT: 16 per minute
manager.menus) | X-Store-Id required | string (StoreId) Example: partner-store-unique-identifier The unique identifier of the store in the partner application. This ID, along with the |
| entityIds | Array of strings Entity IDs to unsuspend. These should be the IDs as you represent them in your system. |
| note | string The reason you are unsuspending the items. |
{- "entityIds": [
- "9cc4bb5e-bc97-40d9-af28-c02ef1483610"
], - "note": "Item back in stock"
}{- "jobReference": {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "status": "PENDING"
}, - "jobType": "PUBLISH",
- "publishJobState": {
- "rappi": {
- "status": "FAILED",
- "message": "Failed to publish menu due to error ..."
}
}
}RATE LIMIT: 2 per minute
manager.menus) | X-Store-Id required | string (StoreId) Example: partner-store-unique-identifier The unique identifier of the store in the partner application. This ID, along with the |
| templateName required | string Name for the bootstrapped template menu |
| externalServiceSlug required | string The external service from which to bootstrap menu data |
| enableTemplate | boolean or null Whether or not to enable the template at the bootstrapped store |
| stationId | string or null The id of the station to which to assign bootstrapped items, unnecessary for brick and mortar |
| posSlug | string or null The slug for the POS to connect to |
{- "templateName": "My Store's Menu",
- "externalServiceSlug": "ubereats-api",
- "enableTemplate": true,
- "stationId": "9cc4bb5e-bc97-40d9-af28-c02ef1483610",
- "posSlug": "pos-slug"
}{- "jobReference": {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "status": "PENDING"
}, - "jobType": "PUBLISH",
- "publishJobState": {
- "rappi": {
- "status": "FAILED",
- "message": "Failed to publish menu due to error ..."
}
}
}RATE LIMIT: 32 per minute
manager.orders) | X-Store-Id required | string (StoreId) Example: partner-store-unique-identifier The unique identifier of the store in the partner application. This ID, along with the |
| X-Event-Id required | string Example: cf0ce51b-d74e-40d3-b177-1925ab4edc0c Unique identifier of the event that this callback refers to. |
{- "message": "The request body is invalid.",
- "details": [
- {
- "attribute": "Order Currency Code",
- "message": "Order Currency Code must be exactly 3 characters"
}
]
}manager.orders) | limit required | string Example: limit=5 Max number of orders to retrieve |
| token | string Example: token=CgwI09+kjQYQwOvF2AM=/(urlencoded:CgwI09%2BkjQYQwOvF2AM%3D) Opaque token used for paging. Query parameters must be URL encoded. |
| minDateTime | string Example: minDateTime=2023-07-20T10:15:30-05:00 Minimum date/time filter in ISO 8601 format with time zone. Limited to the past 20 days. |
| maxDateTime | string Example: maxDateTime=2023-08-15T10:15:30-05:00 Maximum date/time filter in ISO 8601 format with time zone. |
| X-Store-Id required | string (StoreId) Example: partner-store-unique-identifier The unique identifier of the store in the partner application. This ID, along with the |
{- "orders": [
- {
- "externalIdentifiers": {
- "id": "69f60a06-c335-46d9-b5a1-97f1a211c514",
- "friendlyId": "ABCDE",
- "source": "ubereats",
- "sourceType": "POINT_OF_SALE",
- "sourceExternalIdentifiers": {
- "id": "69f60a06-c335-46d9-b5a1-97f1a211c514",
- "friendlyId": "ABCDE",
- "source": "ubereats",
- "sourceType": "POINT_OF_SALE",
- "sourceExternalIdentifiers": { }
}
}, - "currencyCode": "EUR",
- "status": "NEW_ORDER",
- "items": [
- {
- "quantity": 1,
- "skuPrice": 5.9,
- "id": "33e0418f-3d56-4360-ba03-18fc5f8844a3",
- "lineItemId": "2f91f9f3-2d7e-4898-ae81-00fe06ed7dbf",
- "skuId": "867b8fdc-cf7b-4fc3-b7e0-4c7b68d8b1cc",
- "name": "Juicy Cheeseburger",
- "note": "Please cook to well done!",
- "categoryId": "303de078-870d-4349-928b-946869d4d69b",
- "internalCategoryId": "76a66bba-48fb-4bac-80ee-2616a5ca1ab9",
- "categoryName": "Burgers",
- "internalCategoryName": "Burgers",
- "stationId": "5247b8a1-77de-4844-b024-cb59fcec59bd",
- "price": 5.9,
- "modifiers": [
- {
- "quantity": 1,
- "skuPrice": 1,
- "id": "d7a21692-9195-43aa-a58f-5395bba8a804",
- "lineItemId": "2f91f9f3-2d7e-4898-ae81-00fe06ed7dbf",
- "skuId": "867b8fdc-cf7b-4fc3-b7e0-4c7b68d8b1cc",
- "name": "Avocado",
- "price": 1,
- "groupName": "Add ons",
- "groupId": "fb52b138-7ac4-42c1-bfd8-664d57113a41",
- "stationId": "a49cbd3e-94e2-462d-a6de-1985e5d98d1c",
- "modifiers": [
- { }
]
}
]
}
], - "orderedAt": "2007-12-03T10:15:30+01:00",
- "customer": {
- "name": "Jane Doe",
- "phone": "+1-555-555-5555",
- "phoneCode": "111 11 111",
- "personalIdentifiers": {
- "taxIdentificationNumber": 1234567890,
- "serviceProviderId": "12345ba6-789e-123f-4e56-d78db90d123b"
}
}, - "customerNote": "Please include extra napkins!",
- "deliveryInfo": {
- "courier": {
- "name": "Jane Doe",
- "phone": "+1-555-555-5555",
- "phoneCode": "111 11 111",
- "personalIdentifiers": {
- "taxIdentificationNumber": 1234567890,
- "serviceProviderId": "12345ba6-789e-123f-4e56-d78db90d123b"
}
}, - "destination": {
- "fullAddress": "123 Sample Street Ste 100, San Francisco, CA 94103",
- "postalCode": "20500",
- "city": "Washington",
- "state": "DC",
- "countryCode": "US",
- "addressLines": [
- "1600 Pennsylvania Avenue NW",
- "123 Sample Street Ste 100, San Francisco, CA 94103"
], - "linesOfAddress": [
- "1600 Pennsylvania Avenue NW",
- "123 Sample Street Ste 100, San Francisco, CA 94103"
], - "location": {
- "latitude": 38.8977,
- "longitude": 77.0365
}
}, - "licensePlate": "ABC 123",
- "makeModel": "Honda CR-V",
- "lastKnownLocation": {
- "latitude": 38.8977,
- "longitude": 77.0365
}, - "dropoffInstructions": {
- "dropoffType": "MEET_AT_DOOR",
- "verificationRequirements": {
- "signatureRequirement": {
- "enabled": true,
- "collectSignerName": true,
- "collectSignerRelationship": true
}, - "pictureRequirement": {
- "enabled": true
}
}
}, - "note": "Gate code 123"
}, - "orderTotal": {
- "subtotal": 11.97,
- "claimedSubtotal": 0,
- "discount": 1,
- "tax": 1.1,
- "tip": 2,
- "deliveryFee": 5,
- "total": 19.07,
- "couponCode": "VWXYZ98765"
}, - "orderTotalV2": {
- "customerTotal": {
- "foodSales": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "feeForRestaurantProvidedDelivery": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "restaurantFundedDiscount": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "voucherDiscount": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "promotionDiscount": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "operatorDiscount": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "loyaltyDiscount": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "tipForRestaurant": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "adjustments": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "packingFee": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "bagFee": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "serviceProviderDiscount": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "tipForServiceProviderCourier": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "feeForServiceProviderDelivery": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "smallOrderFee": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "serviceFee": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "otherFee": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "netPayout": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "couponCodes": [
- "TACOWED5OFF"
]
}, - "customerPayment": {
- "customerPaymentDue": 1,
- "customerPrepayment": 1,
- "customerAmountToReturn": 1,
- "paymentDueToRestaurant": 1
}, - "payout": {
- "payoutFromServiceProvider": 1,
- "payoutFrom3rdParty": 1,
- "cashPayout": 1
}
}, - "customerPayments": [
- {
- "value": 2,
- "processingStatus": "COLLECTABLE",
- "paymentMethod": "CASH",
- "paymentAuthorizer": "UNKNOWN_TYPE",
- "cardInfo": {
- "paymentNetwork": "MASTERCARD",
- "type": "CREDIT"
}, - "externalPaymentType": "string",
- "paymentRecords": [
- {
- "otterPaymentRecordId": "otter_123456789",
- "recordProviderType": "STRIPE",
- "recordPaymentType": "CARD",
- "paymentRecordId": "pm_123456789",
- "payerId": "payer_123456789",
- "balanceTransactionId": "ext_bt_123456789",
- "paymentDetails": {
- "brandType": "VISA",
- "expiration": {
- "year": 2025,
- "month": 12
}, - "fundingType": "CREDIT",
- "walletType": "APPLE_PAY",
- "lastFour": "1234",
- "walletLastFour": "5678",
- "authorizationCode": "auth_code_123",
- "applicationPreferredName": "MyApp",
- "fingerprint": "fingerprint_abc123",
- "readMethod": "chip"
}
}
], - "loyaltyInfo": {
- "hasMembershipPass": true
}
}
], - "fulfillmentInfo": {
- "pickupTime": "2007-12-03T10:15:30+01:00",
- "estimatedPickupTime": "2007-12-03T10:15:30+01:00",
- "deliveryTime": "2007-12-03T10:15:30+01:00",
- "fulfillmentMode": "DELIVERY",
- "schedulingType": "ASAP",
- "courierStatus": "COURIER_ASSIGNED",
- "tableIdentifier": "R-45"
}, - "promotionsDetails": [
- {
- "externalId": "string",
- "name": "20% off, up to $5",
- "value": 2
}
]
}
], - "offsetToken": "H12MAF2fFaFFFa"
}manager.orders) | orderId required | string Example: 295f76b4-5725-4bf5-a8ab-97943dbdc3b4 A unique identifier of the order in a UUID format. |
| source required | string Example: ubereats Describes the source of the order, typically from a food ordering marketplace. |
| X-Store-Id required | string (StoreId) Example: partner-store-unique-identifier The unique identifier of the store in the partner application. This ID, along with the |
{- "order": {
- "externalIdentifiers": {
- "id": "69f60a06-c335-46d9-b5a1-97f1a211c514",
- "friendlyId": "ABCDE",
- "source": "ubereats",
- "sourceType": "POINT_OF_SALE",
- "sourceExternalIdentifiers": {
- "id": "69f60a06-c335-46d9-b5a1-97f1a211c514",
- "friendlyId": "ABCDE",
- "source": "ubereats",
- "sourceType": "POINT_OF_SALE",
- "sourceExternalIdentifiers": { }
}
}, - "currencyCode": "EUR",
- "status": "NEW_ORDER",
- "items": [
- {
- "quantity": 1,
- "skuPrice": 5.9,
- "id": "33e0418f-3d56-4360-ba03-18fc5f8844a3",
- "lineItemId": "2f91f9f3-2d7e-4898-ae81-00fe06ed7dbf",
- "skuId": "867b8fdc-cf7b-4fc3-b7e0-4c7b68d8b1cc",
- "name": "Juicy Cheeseburger",
- "note": "Please cook to well done!",
- "categoryId": "303de078-870d-4349-928b-946869d4d69b",
- "internalCategoryId": "76a66bba-48fb-4bac-80ee-2616a5ca1ab9",
- "categoryName": "Burgers",
- "internalCategoryName": "Burgers",
- "stationId": "5247b8a1-77de-4844-b024-cb59fcec59bd",
- "price": 5.9,
- "modifiers": [
- {
- "quantity": 1,
- "skuPrice": 1,
- "id": "d7a21692-9195-43aa-a58f-5395bba8a804",
- "lineItemId": "2f91f9f3-2d7e-4898-ae81-00fe06ed7dbf",
- "skuId": "867b8fdc-cf7b-4fc3-b7e0-4c7b68d8b1cc",
- "name": "Avocado",
- "price": 1,
- "groupName": "Add ons",
- "groupId": "fb52b138-7ac4-42c1-bfd8-664d57113a41",
- "stationId": "a49cbd3e-94e2-462d-a6de-1985e5d98d1c",
- "modifiers": [
- { }
]
}
]
}
], - "orderedAt": "2007-12-03T10:15:30+01:00",
- "customer": {
- "name": "Jane Doe",
- "phone": "+1-555-555-5555",
- "phoneCode": "111 11 111",
- "personalIdentifiers": {
- "taxIdentificationNumber": 1234567890,
- "serviceProviderId": "12345ba6-789e-123f-4e56-d78db90d123b"
}
}, - "customerNote": "Please include extra napkins!",
- "deliveryInfo": {
- "courier": {
- "name": "Jane Doe",
- "phone": "+1-555-555-5555",
- "phoneCode": "111 11 111",
- "personalIdentifiers": {
- "taxIdentificationNumber": 1234567890,
- "serviceProviderId": "12345ba6-789e-123f-4e56-d78db90d123b"
}
}, - "destination": {
- "fullAddress": "123 Sample Street Ste 100, San Francisco, CA 94103",
- "postalCode": "20500",
- "city": "Washington",
- "state": "DC",
- "countryCode": "US",
- "addressLines": [
- "1600 Pennsylvania Avenue NW",
- "123 Sample Street Ste 100, San Francisco, CA 94103"
], - "linesOfAddress": [
- "1600 Pennsylvania Avenue NW",
- "123 Sample Street Ste 100, San Francisco, CA 94103"
], - "location": {
- "latitude": 38.8977,
- "longitude": 77.0365
}
}, - "licensePlate": "ABC 123",
- "makeModel": "Honda CR-V",
- "lastKnownLocation": {
- "latitude": 38.8977,
- "longitude": 77.0365
}, - "dropoffInstructions": {
- "dropoffType": "MEET_AT_DOOR",
- "verificationRequirements": {
- "signatureRequirement": {
- "enabled": true,
- "collectSignerName": true,
- "collectSignerRelationship": true
}, - "pictureRequirement": {
- "enabled": true
}
}
}, - "note": "Gate code 123"
}, - "orderTotal": {
- "subtotal": 11.97,
- "claimedSubtotal": 0,
- "discount": 1,
- "tax": 1.1,
- "tip": 2,
- "deliveryFee": 5,
- "total": 19.07,
- "couponCode": "VWXYZ98765"
}, - "orderTotalV2": {
- "customerTotal": {
- "foodSales": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "feeForRestaurantProvidedDelivery": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "restaurantFundedDiscount": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "voucherDiscount": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "promotionDiscount": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "operatorDiscount": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "loyaltyDiscount": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "tipForRestaurant": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "adjustments": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "packingFee": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "bagFee": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "serviceProviderDiscount": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "tipForServiceProviderCourier": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "feeForServiceProviderDelivery": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "smallOrderFee": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "serviceFee": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "otherFee": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "netPayout": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "couponCodes": [
- "TACOWED5OFF"
]
}, - "customerPayment": {
- "customerPaymentDue": 1,
- "customerPrepayment": 1,
- "customerAmountToReturn": 1,
- "paymentDueToRestaurant": 1
}, - "payout": {
- "payoutFromServiceProvider": 1,
- "payoutFrom3rdParty": 1,
- "cashPayout": 1
}
}, - "customerPayments": [
- {
- "value": 2,
- "processingStatus": "COLLECTABLE",
- "paymentMethod": "CASH",
- "paymentAuthorizer": "UNKNOWN_TYPE",
- "cardInfo": {
- "paymentNetwork": "MASTERCARD",
- "type": "CREDIT"
}, - "externalPaymentType": "string",
- "paymentRecords": [
- {
- "otterPaymentRecordId": "otter_123456789",
- "recordProviderType": "STRIPE",
- "recordPaymentType": "CARD",
- "paymentRecordId": "pm_123456789",
- "payerId": "payer_123456789",
- "balanceTransactionId": "ext_bt_123456789",
- "paymentDetails": {
- "brandType": "VISA",
- "expiration": {
- "year": 2025,
- "month": 12
}, - "fundingType": "CREDIT",
- "walletType": "APPLE_PAY",
- "lastFour": "1234",
- "walletLastFour": "5678",
- "authorizationCode": "auth_code_123",
- "applicationPreferredName": "MyApp",
- "fingerprint": "fingerprint_abc123",
- "readMethod": "chip"
}
}
], - "loyaltyInfo": {
- "hasMembershipPass": true
}
}
], - "fulfillmentInfo": {
- "pickupTime": "2007-12-03T10:15:30+01:00",
- "estimatedPickupTime": "2007-12-03T10:15:30+01:00",
- "deliveryTime": "2007-12-03T10:15:30+01:00",
- "fulfillmentMode": "DELIVERY",
- "schedulingType": "ASAP",
- "courierStatus": "COURIER_ASSIGNED",
- "tableIdentifier": "R-45"
}, - "promotionsDetails": [
- {
- "externalId": "string",
- "name": "20% off, up to $5",
- "value": 2
}
]
}, - "injectionState": "UNKNOWN",
- "orderCancelDetails": {
- "cancelSource": "UNKNOWN"
}, - "injectionEvent": "UNKNOWN",
- "orderIssues": {
- "orderIssues": [
- {
- "code": "MENU_RESOLUTION_FAILED",
- "description": "Order contains unreconciled items"
}
], - "itemIssues": [
- {
- "externalId": "external-item-id",
- "itemIssues": [
- {
- "code": "ITEM_MISMATCH",
- "description": "Item not found"
}
]
}
]
}
}RATE LIMIT: 32 per minute
manager.orders) | source required | string Example: ubereats Describes the source of the order, typically from a food ordering marketplace. |
| orderId required | string Example: 295f76b4-5725-4bf5-a8ab-97943dbdc3b4 A unique identifier of the order in a UUID format. |
| X-Store-Id required | string (StoreId) Example: partner-store-unique-identifier The unique identifier of the store in the partner application. This ID, along with the |
{- "message": "The request body is invalid.",
- "details": [
- {
- "attribute": "Order Currency Code",
- "message": "Order Currency Code must be exactly 3 characters"
}
]
}RATE LIMIT: 32 per minute
manager.orders) | source required | string Example: ubereats Describes the source of the order, typically from a food ordering marketplace. |
| orderId required | string Example: 295f76b4-5725-4bf5-a8ab-97943dbdc3b4 A unique identifier of the order in a UUID format. |
| X-Store-Id required | string (StoreId) Example: partner-store-unique-identifier The unique identifier of the store in the partner application. This ID, along with the |
| estimatedPrepTimeMinutes | integer or null Estimated order preparation time in minutes. |
{- "estimatedPrepTimeMinutes": 15
}{- "message": "The request body is invalid.",
- "details": [
- {
- "attribute": "Order Currency Code",
- "message": "Order Currency Code must be exactly 3 characters"
}
]
}RATE LIMIT: 32 per minute
manager.orders) | source required | string Example: ubereats Describes the source of the order, typically from a food ordering marketplace. |
| orderId required | string Example: 295f76b4-5725-4bf5-a8ab-97943dbdc3b4 A unique identifier of the order in a UUID format. |
| X-Store-Id required | string (StoreId) Example: partner-store-unique-identifier The unique identifier of the store in the partner application. This ID, along with the |
| cancellationReason required | string Enum: "REASON_UNKNOWN" "DUPLICATE_ORDER" "UNAVAILABLE_ITEM" "FRAUDULENT_EATER" "RESTAURANT_INTERNAL_ISSUE" "KITCHEN_CLOSED" "CUSTOMER_CALLED_TO_CANCEL" "RESTAURANT_TOO_BUSY" "CANNOT_COMPLETE_CUSTOMER_REQUEST" "UNACCEPTED_ORDER" "RESTAURANT_CANCELED" "AUTOMATICALLY_CANCELED" "LATE_DELIVERY" "COURIER_NOT_FOUND" "CUSTOMER_NOT_FOUND" "UNABLE_TO_DELIVER" "ALL_ITEMS_OUT_OF_STOCK" "ALL_ITEMS_EXPIRED" "ALL_ITEMS_DAMAGED" "LABOR_UNAVAILABLE" "REASON_OTHER" The reason for cancellation. |
object or null (Person) The recipient information. |
{- "cancellationReason": "REASON_UNKNOWN",
- "cancelingParty": {
- "name": "Jane Doe",
- "phone": "+1-555-555-5555",
- "phoneCode": "111 11 111",
- "personalIdentifiers": {
- "taxIdentificationNumber": 1234567890,
- "serviceProviderId": "12345ba6-789e-123f-4e56-d78db90d123b"
}
}
}{- "message": "The request body is invalid.",
- "details": [
- {
- "attribute": "Order Currency Code",
- "message": "Order Currency Code must be exactly 3 characters"
}
]
}RATE LIMIT: 32 per minute
manager.orders) | source required | string Example: ubereats Describes the source of the order, typically from a food ordering marketplace. |
| orderId required | string Example: 295f76b4-5725-4bf5-a8ab-97943dbdc3b4 A unique identifier of the order in a UUID format. |
| X-Store-Id required | string (StoreId) Example: partner-store-unique-identifier The unique identifier of the store in the partner application. This ID, along with the |
{- "message": "The request body is invalid.",
- "details": [
- {
- "attribute": "Order Currency Code",
- "message": "Order Currency Code must be exactly 3 characters"
}
]
}RATE LIMIT: 32 per minute
manager.orders) | source required | string Example: ubereats Describes the source of the order, typically from a food ordering marketplace. |
| orderId required | string Example: 295f76b4-5725-4bf5-a8ab-97943dbdc3b4 A unique identifier of the order in a UUID format. |
| X-Store-Id required | string (StoreId) Example: partner-store-unique-identifier The unique identifier of the store in the partner application. This ID, along with the |
{- "orderComponentId": "69f60a06-c335-46d9-b5a1-97f1a211c514",
- "orderComponentOrderId": "69f60a06-c335-46d9-b5a1-97f1a211c514"
}RATE LIMIT: 32 per minute
manager.orders) | source required | string Example: ubereats Describes the source of the order, typically from a food ordering marketplace. |
| orderId required | string Example: 295f76b4-5725-4bf5-a8ab-97943dbdc3b4 A unique identifier of the order in a UUID format. |
| X-Store-Id required | string (StoreId) Example: partner-store-unique-identifier The unique identifier of the store in the partner application. This ID, along with the |
{- "message": "The request body is invalid.",
- "details": [
- {
- "attribute": "Order Currency Code",
- "message": "Order Currency Code must be exactly 3 characters"
}
]
}Marks an open-tab dine-in order as closed. The closing party is always the merchant/POS (system). RATE LIMIT: 32 per minute
manager.orders) | source required | string Example: ubereats Describes the source of the order, typically from a food ordering marketplace. |
| orderId required | string Example: 295f76b4-5725-4bf5-a8ab-97943dbdc3b4 A unique identifier of the order in a UUID format. |
| X-Store-Id required | string (StoreId) Example: partner-store-unique-identifier The unique identifier of the store in the partner application. This ID, along with the |
{- "message": "The request body is invalid.",
- "details": [
- {
- "attribute": "Order Currency Code",
- "message": "Order Currency Code must be exactly 3 characters"
}
]
}Updates customer items for a dine-in order (quantity change, price adjustment, or add item). Only supported when integration slug is d2c-eater-website, order fulfillment type is dine-in, and the order tab is open (order is modifiable). Modifying party and modification request ID are set by the endpoint. RATE LIMIT: 8 per minute
manager.orders) | source required | string Example: ubereats Describes the source of the order, typically from a food ordering marketplace. |
| orderId required | string Example: 295f76b4-5725-4bf5-a8ab-97943dbdc3b4 A unique identifier of the order in a UUID format. |
| X-Store-Id required | string (StoreId) Example: partner-store-unique-identifier The unique identifier of the store in the partner application. This ID, along with the |
| currencyCode | string or null 3 characters 3-letter currency code (ISO 4217) for monetary values in this request (e.g. delta in price_adjusted, item/modifier prices in item_added). If omitted, USD is used. |
required | Array of objects or objects or objects (CustomerItemModification) non-empty [ items ] List of modifications to apply (quantity change, price adjustment, or item added). |
{- "currencyCode": "USD",
- "customerItemModifications": [
- { }
]
}{- "message": "The request body is invalid.",
- "details": [
- {
- "attribute": "Order Currency Code",
- "message": "Order Currency Code must be exactly 3 characters"
}
]
}RATE LIMIT: 32 per minute
orders.update) | source required | string Example: ubereats Describes the source of the order, typically from a food ordering marketplace. |
| orderId required | string Example: 295f76b4-5725-4bf5-a8ab-97943dbdc3b4 A unique identifier of the order in a UUID format. |
| X-Store-Id required | string (StoreId) Example: partner-store-unique-identifier The unique identifier of the store in the partner application. This ID, along with the |
| prepTimeMinutes required | integer The requested preparation time to transition the order to. |
{- "prepTimeMinutes": 0
}{- "message": "The request body is invalid.",
- "details": [
- {
- "attribute": "Order Currency Code",
- "message": "Order Currency Code must be exactly 3 characters"
}
]
}RATE LIMIT: 8 per minute
manager.storefront) | X-Store-Id required | string (StoreId) Example: partner-store-unique-identifier The unique identifier of the store in the partner application. This ID, along with the |
| start | string or null <date-time> Start time for the pause. Executed immediately if not set. |
| end | string or null <date-time> Time when the pause should expire. If not provided, uses the default which is 4 AM at store timezone. |
| comment | string or null Comment for the pause |
| reason | string (PauseReason) Enum: "STORE_MAINTENANCE" "OTHER" Reason for pausing the storefronts |
{- "start": "2007-12-03T10:15:30+01:00",
- "end": "2007-12-03T10:15:30+01:00",
- "comment": "Some comment",
- "reason": "STORE_MAINTENANCE"
}{- "requestId": "string"
}RATE LIMIT: 8 per minute
manager.storefront) | X-Store-Id required | string (StoreId) Example: partner-store-unique-identifier The unique identifier of the store in the partner application. This ID, along with the |
| comment | string or null Comment for the unpause |
{- "comment": "Some comment"
}{- "requestId": "string"
}RATE LIMIT: 8 per minute
manager.storefront) | requestId required | string Example: 295f76b4-5725-4bf5-a8ab-97943dbdc3b4 A unique identifier of the order in a UUID format. |
| X-Store-Id required | string (StoreId) Example: partner-store-unique-identifier The unique identifier of the store in the partner application. This ID, along with the |
{- "processRequestStatuses": [
- {
- "requestId": "string",
- "provider": "doordash",
- "startedAt": "2007-12-03T10:15:30+01:00",
- "finishedAt": "2007-12-03T10:15:30+01:00",
- "stateInfo": [
- {
- "startedAt": "2007-12-03T10:15:30+01:00",
- "state": "UNKNOWN",
- "status": "UNKNOWN",
- "finishedAt": "2007-12-03T10:15:30+01:00",
- "action": [
- {
- "operationType": "UNKNOWN",
- "status": "UNKNOWN",
- "retryAttempt": 2,
- "error": {
- "errorType": "string",
- "message": "string"
}
}
], - "error": {
- "errorType": "string",
- "message": "string"
}
}
], - "requestStatus": "UNKNOWN",
- "currentState": "UNKNOWN"
}
]
}RATE LIMIT: 8 per minute
manager.storefront) | requestId required | string Example: 295f76b4-5725-4bf5-a8ab-97943dbdc3b4 A unique identifier of the order in a UUID format. |
| X-Store-Id required | string (StoreId) Example: partner-store-unique-identifier The unique identifier of the store in the partner application. This ID, along with the |
{- "processRequestStatuses": [
- {
- "requestId": "string",
- "provider": "doordash",
- "startedAt": "2007-12-03T10:15:30+01:00",
- "finishedAt": "2007-12-03T10:15:30+01:00",
- "stateInfo": [
- {
- "startedAt": "2007-12-03T10:15:30+01:00",
- "state": "UNKNOWN",
- "status": "UNKNOWN",
- "finishedAt": "2007-12-03T10:15:30+01:00",
- "action": [
- {
- "operationType": "UNKNOWN",
- "status": "UNKNOWN",
- "retryAttempt": 2,
- "error": {
- "errorType": "string",
- "message": "string"
}
}
], - "error": {
- "errorType": "string",
- "message": "string"
}
}
], - "requestStatus": "UNKNOWN",
- "currentState": "UNKNOWN"
}
]
}RATE LIMIT: 2 per minute
menus.upsert) | X-Store-Id required | string (StoreId) Example: partner-store-unique-identifier The unique identifier of the store in the partner application. This ID, along with the |
required | object (All Categories for the store, indexed by ID) |
required | object (All ModifierGroups for the Store, indexed by ID) |
required | object (All Menus for the store, indexed by ID) |
object (All Items for the store, indexed by ID) |
{- "categories": {
- "b01485b0-034a-47c5-8a0a-0eeca08bf994": {
- "name": "Drinks",
- "description": "All drink items served up nice and fresh!",
- "id": "b01485b0-034a-47c5-8a0a-0eeca08bf994",
- "itemIds": [
- "fa4f0192-4c4e-4455-9db8-61d428c34969"
]
}
}, - "modifierGroups": {
- "f4c69056-3ae3-4517-9294-5ceec8df5f81": {
- "id": "f4c69056-3ae3-4517-9294-5ceec8df5f81",
- "name": "Add Straw",
- "minimumSelections": 0,
- "maximumSelections": 1,
- "defaultModifierSelectionData": {
- "defaultModifierSelections": [
- {
- "itemId": "6d53cf04-9d62-40f5-a8b3-706e3377668f",
- "selectionQuantity": 1
}
]
}, - "itemIds": [
- "6d53cf04-9d62-40f5-a8b3-706e3377668f"
], - "type": "DEFAULT",
- "exposedThirdPartyInfos": [
- {
- "externalId": "ff6dd693-5e55-4a92-a359-ea61b23ed423",
- "externalServiceSlug": "3PD"
}
]
}
}, - "menus": {
- "ff6dd693-5e55-4a92-a359-ea61b23ed423": {
- "id": "ff6dd693-5e55-4a92-a359-ea61b23ed423",
- "name": "Tasty BBQ",
- "categoryIds": [
- "b01485b0-034a-47c5-8a0a-0eeca08bf994"
], - "fulfillmentModes": [
- "DELIVERY"
], - "description": "Cooking up BBQ deliciousness from around the globe!",
- "hours": {
- "intervals": [
- {
- "day": "MONDAY",
- "fromHour": 7,
- "fromMinute": 30,
- "toHour": 22,
- "toMinute": 0
}
]
}, - "additionalCharges": [
- {
- "chargeType": "PACKAGING_CHARGE",
- "flatCharge": {
- "currencyCode": "USD",
- "amount": 1.5
}
}
]
}
}, - "items": {
- "fa4f0192-4c4e-4455-9db8-61d428c34969": {
- "id": "fa4f0192-4c4e-4455-9db8-61d428c34969",
- "name": "Canned Coke",
- "description": "Best soda pop ever made",
- "price": {
- "currencyCode": "USD",
- "amount": 7.65
}, - "status": {
- "saleStatus": "FOR_SALE"
}, - "modifierGroupIds": [
- "f4c69056-3ae3-4517-9294-5ceec8df5f81"
], - "priceOverrides": [
- {
- "rules": [
- {
- "externalServiceSlug": "ubereats"
}
], - "currencyCode": "USD",
- "amount": 7
}
], - "skuDetails": {
- "skuSlug": "canned-coke-355ml",
- "dietaryClassifications": [
- {
- "tag": "VEGAN"
}
], - "allergenClassifications": [
- {
- "tag": "GLUTEN",
- "containsAllergen": false
}, - {
- "tag": "PEANUT",
- "containsAllergen": true
}
], - "storageRequirements": [
- {
- "tag": "FROZEN"
}
]
}
}, - "6d53cf04-9d62-40f5-a8b3-706e3377668f": {
- "id": "6d53cf04-9d62-40f5-a8b3-706e3377668f",
- "name": "Paper straw",
- "description": "A paper straw",
- "price": {
- "currencyCode": "USD",
- "amount": 0.5
}, - "status": {
- "saleStatus": "FOR_SALE"
}, - "type": "DEFAULT"
}
}
}{- "jobReference": {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "status": "PENDING"
}, - "jobType": "PUBLISH",
- "publishJobState": {
- "rappi": {
- "status": "FAILED",
- "message": "Failed to publish menu due to error ..."
}
}
}This endpoint is used to synchronize the store menu with the connected POS.
menus.sync) | X-Store-Id required | string (StoreId) Example: partner-store-unique-identifier The unique identifier of the store in the partner application. This ID, along with the |
| shouldPublishChanges | boolean or null Whether or not to publish changes to external services after bulk resolution. |
| useCustomOptions | boolean or null If true, use |
object or null (CustomBulkResolutionOptions) |
{- "shouldPublishChanges": true,
- "useCustomOptions": true,
- "customBulkResolutionOptions": {
- "updateNames": true,
- "updatePrices": true,
- "updateDescriptions": true,
- "createUnmatchedEntities": true,
- "deleteMissingEntities": true,
- "bootstrapPhotosToEntities": true,
- "copyEntityPaths": true,
- "updateItemSuspensionStatus": true,
- "updateHours": true,
- "assignItemsToLocations": true,
- "unassignItemsFromLocations": true,
- "updateMenuOrganization": true,
- "updateItemArrangement": true,
- "updateModifierGroupRules": true,
- "updateTaxes": true
}
}{- "jobId": "9d222c6d-893e-4e79-8201-3c9ca16a0f39"
}RATE LIMIT: 32 per minute
Successful callback response for the update menu entities availabilities webhook. If an error occurred, please publish a callback error instead. See failed event flow for details.
menus.entity_suspension) | X-Store-Id required | string (StoreId) Example: partner-store-unique-identifier The unique identifier of the store in the partner application. This ID, along with the |
| X-Event-Id required | string Example: cf0ce51b-d74e-40d3-b177-1925ab4edc0c Unique identifier of the event that this callback refers to. |
{- "message": "The request body is invalid.",
- "details": [
- {
- "attribute": "Order Currency Code",
- "message": "Order Currency Code must be exactly 3 characters"
}
]
}RATE LIMIT: 32 per minute
orders.create) | X-Store-Id required | string (StoreId) Example: partner-store-unique-identifier The unique identifier of the store in the partner application. This ID, along with the |
required | object (OrderExternalIdentifiers) The external identifiers. |
| currencyCode required | string 3 characters The 3-letter currency code (ISO 4217) to use for all monetary values in this order. |
| status required | string Enum: "NEW_ORDER" "CONFIRMED" "PICKED_UP" "CANCELED" "FULFILLED" "PREPARED" "REJECTED" "UNKNOWN" The status of the order. |
Array of objects (Item) <= 100 items [ items ] Items ordered. | |
| orderedAt | string or null <date-time> The date (in UTC) when the order was placed by the customer. |
object or null (Person) The recipient information. | |
| customerNote | string or null An order-level note provided by the customer. |
object or null (DeliveryInfo) Information on order's delivery process. | |
object (OrderTotal) Details about values of the order. | |
object or null (OrderTotalV2) V2 for details about values of the order, provides richer objects allowing to capture taxes, misc charges, payments more precisely. | |
Array of objects or null (CustomerPayment) Details about the payments made by the customer. | |
object or null (FulfillmentInfo) Information on order fulfillment. | |
Array of objects or null or null (PromotionDetails) [WIP - in development, not supported yet] Details about the promotions applied to this order. The sum of values should be equal to the sum of order total discounts." |
{- "externalIdentifiers": {
- "id": "69f60a06-c335-46d9-b5a1-97f1a211c514",
- "friendlyId": "ABCDE",
- "source": "ubereats",
- "sourceType": "POINT_OF_SALE",
- "sourceExternalIdentifiers": {
- "id": "69f60a06-c335-46d9-b5a1-97f1a211c514",
- "friendlyId": "ABCDE",
- "source": "ubereats",
- "sourceType": "POINT_OF_SALE",
- "sourceExternalIdentifiers": { }
}
}, - "currencyCode": "EUR",
- "status": "NEW_ORDER",
- "items": [
- {
- "quantity": 1,
- "id": "33e0418f-3d56-4360-ba03-18fc5f8844a3",
- "skuId": "867b8fdc-cf7b-4fc3-b7e0-4c7b68d8b1cc",
- "name": "Juicy Cheeseburger",
- "note": "Please cook to well done!",
- "categoryId": "303de078-870d-4349-928b-946869d4d69b",
- "internalCategoryId": "76a66bba-48fb-4bac-80ee-2616a5ca1ab9",
- "categoryName": "Burgers",
- "internalCategoryName": "Burgers",
- "price": 5.9,
- "modifiers": [
- {
- "quantity": 1,
- "id": "d7a21692-9195-43aa-a58f-5395bba8a804",
- "skuId": "867b8fdc-cf7b-4fc3-b7e0-4c7b68d8b1cc",
- "name": "Avocado",
- "price": 1,
- "groupName": "Add ons",
- "groupId": "fb52b138-7ac4-42c1-bfd8-664d57113a41",
- "modifiers": [
- { }
]
}
]
}
], - "orderedAt": "2007-12-03T10:15:30+01:00",
- "customer": {
- "name": "Jane Doe",
- "phone": "+1-555-555-5555",
- "phoneCode": "111 11 111",
- "personalIdentifiers": {
- "taxIdentificationNumber": 1234567890,
- "serviceProviderId": "12345ba6-789e-123f-4e56-d78db90d123b"
}
}, - "customerNote": "Please include extra napkins!",
- "deliveryInfo": {
- "courier": {
- "name": "Jane Doe",
- "phone": "+1-555-555-5555",
- "phoneCode": "111 11 111",
- "personalIdentifiers": {
- "taxIdentificationNumber": 1234567890,
- "serviceProviderId": "12345ba6-789e-123f-4e56-d78db90d123b"
}
}, - "destination": {
- "fullAddress": "123 Sample Street Ste 100, San Francisco, CA 94103",
- "postalCode": "20500",
- "city": "Washington",
- "state": "DC",
- "countryCode": "US",
- "addressLines": [
- "1600 Pennsylvania Avenue NW",
- "123 Sample Street Ste 100, San Francisco, CA 94103"
], - "linesOfAddress": [
- "1600 Pennsylvania Avenue NW",
- "123 Sample Street Ste 100, San Francisco, CA 94103"
], - "location": {
- "latitude": 38.8977,
- "longitude": 77.0365
}
}, - "licensePlate": "ABC 123",
- "makeModel": "Honda CR-V",
- "lastKnownLocation": {
- "latitude": 38.8977,
- "longitude": 77.0365
}, - "dropoffInstructions": {
- "dropoffType": "MEET_AT_DOOR",
- "verificationRequirements": {
- "signatureRequirement": {
- "enabled": true,
- "collectSignerName": true,
- "collectSignerRelationship": true
}, - "pictureRequirement": {
- "enabled": true
}
}
}, - "note": "Gate code 123"
}, - "orderTotal": {
- "subtotal": 11.97,
- "claimedSubtotal": 0,
- "discount": 1,
- "tax": 1.1,
- "tip": 2,
- "deliveryFee": 5,
- "total": 19.07,
- "couponCode": "VWXYZ98765"
}, - "orderTotalV2": {
- "customerTotal": {
- "foodSales": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "feeForRestaurantProvidedDelivery": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "restaurantFundedDiscount": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "voucherDiscount": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "promotionDiscount": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "operatorDiscount": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "loyaltyDiscount": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "tipForRestaurant": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "adjustments": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "packingFee": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "bagFee": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "serviceProviderDiscount": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "tipForServiceProviderCourier": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "feeForServiceProviderDelivery": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "smallOrderFee": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "serviceFee": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "otherFee": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "netPayout": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "couponCodes": [
- "TACOWED5OFF"
]
}, - "customerPayment": {
- "customerPaymentDue": 1,
- "customerPrepayment": 1,
- "customerAmountToReturn": 1,
- "paymentDueToRestaurant": 1
}, - "payout": {
- "payoutFromServiceProvider": 1,
- "payoutFrom3rdParty": 1,
- "cashPayout": 1
}
}, - "customerPayments": [
- {
- "value": 2,
- "processingStatus": "COLLECTABLE",
- "paymentMethod": "CASH",
- "paymentAuthorizer": "UNKNOWN_TYPE",
- "cardInfo": {
- "paymentNetwork": "MASTERCARD",
- "type": "CREDIT"
}, - "externalPaymentType": "string",
- "paymentRecords": [
- {
- "otterPaymentRecordId": "otter_123456789",
- "recordProviderType": "STRIPE",
- "recordPaymentType": "CARD",
- "paymentRecordId": "pm_123456789",
- "payerId": "payer_123456789",
- "balanceTransactionId": "ext_bt_123456789",
- "paymentDetails": {
- "brandType": "VISA",
- "expiration": {
- "year": 2025,
- "month": 12
}, - "fundingType": "CREDIT",
- "walletType": "APPLE_PAY",
- "lastFour": "1234",
- "walletLastFour": "5678",
- "authorizationCode": "auth_code_123",
- "applicationPreferredName": "MyApp",
- "fingerprint": "fingerprint_abc123",
- "readMethod": "chip"
}
}
], - "loyaltyInfo": {
- "hasMembershipPass": true
}
}
], - "fulfillmentInfo": {
- "pickupTime": "2007-12-03T10:15:30+01:00",
- "estimatedPickupTime": "2007-12-03T10:15:30+01:00",
- "deliveryTime": "2007-12-03T10:15:30+01:00",
- "fulfillmentMode": "DELIVERY",
- "schedulingType": "ASAP",
- "courierStatus": "COURIER_ASSIGNED",
- "tableIdentifier": "R-45"
}, - "promotionsDetails": [
- {
- "externalId": "string",
- "name": "20% off, up to $5",
- "value": 2
}
]
}{- "externalIdentifiers": {
- "id": "69f60a06-c335-46d9-b5a1-97f1a211c514",
- "friendlyId": "ABCDE",
- "source": "ubereats",
- "sourceType": "POINT_OF_SALE",
- "sourceExternalIdentifiers": {
- "id": "69f60a06-c335-46d9-b5a1-97f1a211c514",
- "friendlyId": "ABCDE",
- "source": "ubereats",
- "sourceType": "POINT_OF_SALE",
- "sourceExternalIdentifiers": { }
}
}, - "storeId": "ckdss-store-id"
}RATE LIMIT: 32 per minute
orders.update) | orderId required | string Example: 295f76b4-5725-4bf5-a8ab-97943dbdc3b4 A unique identifier of the order in a UUID format. |
| X-Store-Id required | string (StoreId) Example: partner-store-unique-identifier The unique identifier of the store in the partner application. This ID, along with the |
required | object (OrderExternalIdentifiers) The external identifiers. |
| currencyCode required | string 3 characters The 3-letter currency code (ISO 4217) to use for all monetary values in this order. |
| status required | string Enum: "NEW_ORDER" "CONFIRMED" "PICKED_UP" "CANCELED" "FULFILLED" "PREPARED" "REJECTED" "UNKNOWN" The status of the order. |
Array of objects (Item) <= 100 items [ items ] Items ordered. | |
| orderedAt | string or null <date-time> The date (in UTC) when the order was placed by the customer. |
object or null (Person) The recipient information. | |
| customerNote | string or null An order-level note provided by the customer. |
object or null (DeliveryInfo) Information on order's delivery process. | |
object (OrderTotal) Details about values of the order. | |
object or null (OrderTotalV2) V2 for details about values of the order, provides richer objects allowing to capture taxes, misc charges, payments more precisely. | |
Array of objects or null (CustomerPayment) Details about the payments made by the customer. | |
object or null (FulfillmentInfo) Information on order fulfillment. | |
Array of objects or null or null (PromotionDetails) [WIP - in development, not supported yet] Details about the promotions applied to this order. The sum of values should be equal to the sum of order total discounts." |
{- "externalIdentifiers": {
- "id": "69f60a06-c335-46d9-b5a1-97f1a211c514",
- "friendlyId": "ABCDE",
- "source": "ubereats",
- "sourceType": "POINT_OF_SALE",
- "sourceExternalIdentifiers": {
- "id": "69f60a06-c335-46d9-b5a1-97f1a211c514",
- "friendlyId": "ABCDE",
- "source": "ubereats",
- "sourceType": "POINT_OF_SALE",
- "sourceExternalIdentifiers": { }
}
}, - "currencyCode": "EUR",
- "status": "NEW_ORDER",
- "items": [
- {
- "quantity": 1,
- "id": "33e0418f-3d56-4360-ba03-18fc5f8844a3",
- "skuId": "867b8fdc-cf7b-4fc3-b7e0-4c7b68d8b1cc",
- "name": "Juicy Cheeseburger",
- "note": "Please cook to well done!",
- "categoryId": "303de078-870d-4349-928b-946869d4d69b",
- "internalCategoryId": "76a66bba-48fb-4bac-80ee-2616a5ca1ab9",
- "categoryName": "Burgers",
- "internalCategoryName": "Burgers",
- "price": 5.9,
- "modifiers": [
- {
- "quantity": 1,
- "id": "d7a21692-9195-43aa-a58f-5395bba8a804",
- "skuId": "867b8fdc-cf7b-4fc3-b7e0-4c7b68d8b1cc",
- "name": "Avocado",
- "price": 1,
- "groupName": "Add ons",
- "groupId": "fb52b138-7ac4-42c1-bfd8-664d57113a41",
- "modifiers": [
- { }
]
}
]
}
], - "orderedAt": "2007-12-03T10:15:30+01:00",
- "customer": {
- "name": "Jane Doe",
- "phone": "+1-555-555-5555",
- "phoneCode": "111 11 111",
- "personalIdentifiers": {
- "taxIdentificationNumber": 1234567890,
- "serviceProviderId": "12345ba6-789e-123f-4e56-d78db90d123b"
}
}, - "customerNote": "Please include extra napkins!",
- "deliveryInfo": {
- "courier": {
- "name": "Jane Doe",
- "phone": "+1-555-555-5555",
- "phoneCode": "111 11 111",
- "personalIdentifiers": {
- "taxIdentificationNumber": 1234567890,
- "serviceProviderId": "12345ba6-789e-123f-4e56-d78db90d123b"
}
}, - "destination": {
- "fullAddress": "123 Sample Street Ste 100, San Francisco, CA 94103",
- "postalCode": "20500",
- "city": "Washington",
- "state": "DC",
- "countryCode": "US",
- "addressLines": [
- "1600 Pennsylvania Avenue NW",
- "123 Sample Street Ste 100, San Francisco, CA 94103"
], - "linesOfAddress": [
- "1600 Pennsylvania Avenue NW",
- "123 Sample Street Ste 100, San Francisco, CA 94103"
], - "location": {
- "latitude": 38.8977,
- "longitude": 77.0365
}
}, - "licensePlate": "ABC 123",
- "makeModel": "Honda CR-V",
- "lastKnownLocation": {
- "latitude": 38.8977,
- "longitude": 77.0365
}, - "dropoffInstructions": {
- "dropoffType": "MEET_AT_DOOR",
- "verificationRequirements": {
- "signatureRequirement": {
- "enabled": true,
- "collectSignerName": true,
- "collectSignerRelationship": true
}, - "pictureRequirement": {
- "enabled": true
}
}
}, - "note": "Gate code 123"
}, - "orderTotal": {
- "subtotal": 11.97,
- "claimedSubtotal": 0,
- "discount": 1,
- "tax": 1.1,
- "tip": 2,
- "deliveryFee": 5,
- "total": 19.07,
- "couponCode": "VWXYZ98765"
}, - "orderTotalV2": {
- "customerTotal": {
- "foodSales": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "feeForRestaurantProvidedDelivery": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "restaurantFundedDiscount": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "voucherDiscount": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "promotionDiscount": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "operatorDiscount": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "loyaltyDiscount": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "tipForRestaurant": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "adjustments": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "packingFee": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "bagFee": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "serviceProviderDiscount": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "tipForServiceProviderCourier": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "feeForServiceProviderDelivery": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "smallOrderFee": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "serviceFee": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "otherFee": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "netPayout": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "couponCodes": [
- "TACOWED5OFF"
]
}, - "customerPayment": {
- "customerPaymentDue": 1,
- "customerPrepayment": 1,
- "customerAmountToReturn": 1,
- "paymentDueToRestaurant": 1
}, - "payout": {
- "payoutFromServiceProvider": 1,
- "payoutFrom3rdParty": 1,
- "cashPayout": 1
}
}, - "customerPayments": [
- {
- "value": 2,
- "processingStatus": "COLLECTABLE",
- "paymentMethod": "CASH",
- "paymentAuthorizer": "UNKNOWN_TYPE",
- "cardInfo": {
- "paymentNetwork": "MASTERCARD",
- "type": "CREDIT"
}, - "externalPaymentType": "string",
- "paymentRecords": [
- {
- "otterPaymentRecordId": "otter_123456789",
- "recordProviderType": "STRIPE",
- "recordPaymentType": "CARD",
- "paymentRecordId": "pm_123456789",
- "payerId": "payer_123456789",
- "balanceTransactionId": "ext_bt_123456789",
- "paymentDetails": {
- "brandType": "VISA",
- "expiration": {
- "year": 2025,
- "month": 12
}, - "fundingType": "CREDIT",
- "walletType": "APPLE_PAY",
- "lastFour": "1234",
- "walletLastFour": "5678",
- "authorizationCode": "auth_code_123",
- "applicationPreferredName": "MyApp",
- "fingerprint": "fingerprint_abc123",
- "readMethod": "chip"
}
}
], - "loyaltyInfo": {
- "hasMembershipPass": true
}
}
], - "fulfillmentInfo": {
- "pickupTime": "2007-12-03T10:15:30+01:00",
- "estimatedPickupTime": "2007-12-03T10:15:30+01:00",
- "deliveryTime": "2007-12-03T10:15:30+01:00",
- "fulfillmentMode": "DELIVERY",
- "schedulingType": "ASAP",
- "courierStatus": "COURIER_ASSIGNED",
- "tableIdentifier": "R-45"
}, - "promotionsDetails": [
- {
- "externalId": "string",
- "name": "20% off, up to $5",
- "value": 2
}
]
}{- "externalIdentifiers": {
- "id": "69f60a06-c335-46d9-b5a1-97f1a211c514",
- "friendlyId": "ABCDE",
- "source": "ubereats",
- "sourceType": "POINT_OF_SALE",
- "sourceExternalIdentifiers": {
- "id": "69f60a06-c335-46d9-b5a1-97f1a211c514",
- "friendlyId": "ABCDE",
- "source": "ubereats",
- "sourceType": "POINT_OF_SALE",
- "sourceExternalIdentifiers": { }
}
}, - "storeId": "ckdss-store-id"
}RATE LIMIT: 32 per minute
orders.update) | orderId required | string Example: 295f76b4-5725-4bf5-a8ab-97943dbdc3b4 A unique identifier of the order in a UUID format. |
| X-Store-Id required | string (StoreId) Example: partner-store-unique-identifier The unique identifier of the store in the partner application. This ID, along with the |
| X-Event-Id | string Example: cf0ce51b-d74e-40d3-b177-1925ab4edc0c Optional unique identifier of the event that this callback refers to. |
| orderStatus required | string Enum: "PREPARED" "CANCELED" "FULFILLED" The requested status to transition the order to. |
{- "orderStatus": "PREPARED"
}{- "message": "The request body is invalid.",
- "details": [
- {
- "attribute": "Order Currency Code",
- "message": "Order Currency Code must be exactly 3 characters"
}
]
}RATE LIMIT: 8 per minute
Notice that this operation do not completely replace the existent customer payment, instead, it overwrites the field if the latest update is a non-null value. If the update value is null, the existent value will continue to be used.
orders.update) | orderId required | string Example: 295f76b4-5725-4bf5-a8ab-97943dbdc3b4 A unique identifier of the order in a UUID format. |
| X-Store-Id required | string (StoreId) Example: partner-store-unique-identifier The unique identifier of the store in the partner application. This ID, along with the |
| currencyCode required | string 3 characters The 3-letter currency code (ISO 4217) to use for all monetary values in this order. |
required | Array of objects (CustomerPayment) [ items ] The requested customer payment to transition the order to. |
object (OrderTotal) Details about values of the order. | |
object or null (OrderTotalV2) V2 for details about values of the order, provides richer objects allowing to capture taxes, misc charges, payments more precisely. |
{- "currencyCode": "EUR",
- "customerPayment": [
- {
- "value": 2,
- "processingStatus": "COLLECTABLE",
- "paymentMethod": "CASH",
- "paymentAuthorizer": "UNKNOWN_TYPE",
- "cardInfo": {
- "paymentNetwork": "MASTERCARD",
- "type": "CREDIT"
}, - "externalPaymentType": "string",
- "paymentRecords": [
- {
- "otterPaymentRecordId": "otter_123456789",
- "recordProviderType": "STRIPE",
- "recordPaymentType": "CARD",
- "paymentRecordId": "pm_123456789",
- "payerId": "payer_123456789",
- "balanceTransactionId": "ext_bt_123456789",
- "paymentDetails": {
- "brandType": "VISA",
- "expiration": {
- "year": 2025,
- "month": 12
}, - "fundingType": "CREDIT",
- "walletType": "APPLE_PAY",
- "lastFour": "1234",
- "walletLastFour": "5678",
- "authorizationCode": "auth_code_123",
- "applicationPreferredName": "MyApp",
- "fingerprint": "fingerprint_abc123",
- "readMethod": "chip"
}
}
], - "loyaltyInfo": {
- "hasMembershipPass": true
}
}
], - "orderTotal": {
- "subtotal": 11.97,
- "claimedSubtotal": 0,
- "discount": 1,
- "tax": 1.1,
- "tip": 2,
- "deliveryFee": 5,
- "total": 19.07,
- "couponCode": "VWXYZ98765"
}, - "orderTotalsV2": {
- "customerTotal": {
- "foodSales": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "feeForRestaurantProvidedDelivery": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "restaurantFundedDiscount": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "voucherDiscount": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "promotionDiscount": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "operatorDiscount": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "loyaltyDiscount": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "tipForRestaurant": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "adjustments": {
- "breakdown": [
- {
- "subType": "VALUE",
- "name": "sales tax.",
- "value": 3.4
}
]
}, - "packingFee": {
- "breakdown": [
- {
- "subType": "VALUE",
[...]
